🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Rudraksha Suggestion

The rudraksha_suggestion API provides a recommendation for which combination of rudraksha beads to wear based on the user's horoscope. The response includes the name of the recommended rudraksha combination, an image URL, and details about the benefits and symbolism of the recommended beads.
POSThttps://json.astrologyapi.com/v1/rudraksha_suggestion

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/rudraksha_suggestion' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "img_url": "/img/three+twelve.jpg",
  "rudraksha_key": "three_faced_twelve_faced",
  "name": "Three + Twelve Faced Rudraksha (Teen + Baarah Mukhi)",
  "recommend": "You are recommended to wear a combination of THREE and TWELVE FACED Rudraksha.",
  "detail": "Twelve face rudraksha is symbol of Aditya. This symbolises lord Vishnu too. It should be worn by people wanting to attain influential and powerful positions. It is an extremely blessed bead and provides protection against many evils and perils. The bead is said to increase charisma and charm. Helps in ruling and creating a powerful aura round oneself. Malefic effects of the Sun are controlled."
}